let cData = require('./data.js')
const app = require('../../app.js').listen()
const request = require('supertest')
const { assert } = require('chai')
const { describe, it } = require('mocha')

describe('User', function () {
  it('test /user/create', function (done) {
    request(app)
      .post('/user/create')
      .query({
        department: '前端',
        sallary: '21212121212',
        idPhoto: 'http://s1.dwstatic.com/duowanvideo/20190528/14/3057288.jpg',
        lifePhoto: '',
        name: '百醇',
        personalInfo: '{"curStatus":0,"sex":1,"nation":0,"belief":"","healthy":"1","diseases":"34","nativePlace":"北京市-北京市","politics":2,"marriage":0,"registration":"43","accountCharacter":0,"address":"43","dateOfBirth":null,"height":null,"foreign":"","skillCertificate":"","skillType":"","fristWork":null}',
        identity: '440881199009257777',
        phone: '13570234219',
        email: '592565609@qq.com',
        urgentPhone: '434',
        eduExperience: '[{"education":"2","startDate":"2019-05-02","endDate":"2019-05-30","educationBg":"gf","school":"fg","major":"gf"}]',
        workExperience: '{"startDate":"2019-05-02"}',
        plan: `作者：前端先锋
        链接：https://www.zhihu.com/question/321208666/answer/666150868
        来源：知乎
        著作权归作者所有。商业转载请联系作者获得授权，非商业转载请注明出处。
        
        前端自08年左右兴盛已来，无数年轻人投入其中，但是这2年不知道身为前端的你，有没有感觉到求一份靠谱的前端工作变的很难，同样企业求一名靠谱的前端也觉得很难，其实并不是因为求职者太过挑剔，也不是企业给不起工资，而是因为这两年大前端的发展无论从技术深度和广度都跟以前大不一样。 ​	前端不再是页面仔、组件仔，而是指能够使用JavaScript和相关H5技术开发iOS、Android、AR、VR、IoT、PC、Server、WebApp、3D甚至AI的综合性技术人才。很多同学的计算机基础相对薄弱，导致了知识直接断层。才会出现咫尺天涯的这种怪象。 ​	也正是由于这样综合性的前端一人难求，造成了前端的工资水涨船高。今天看到这篇文章的老铁，不论你是计算机科班还是”野路子”前端，如果你在一线城市30岁前依旧月薪没到30K，你真的要反思一下自己了。到底是技术、情商、智商、努力程度还是哪里出现了问题让你没能斩获一份这样的薪水。 ​	鄙人不才，前端开发界一名小学生，有人叫我老袁，因为身高170体重170，也有人叫我圆老师，正经土生土长东北爷们。几年前侥幸进入百度和腾讯，后来在阿里offer和创业之间选择了创业，更侥幸在27岁那年拿到了月薪30K+，说这些并不是为了装或者鄙视谁，我何德何能，更何况程序员何必diss程序员，我只是想把我的一些想法写出来与各位同仁共勉。`,
        description: 'g',
        userId: cData.enterPhone,
        token: cData.token })
      .expect(res => {
        assert.equal(res.body.code, 0)
      })
      .end(done)
  })

  it('test /user/find', function (done) {
    request(app)
      .get('/user/find')
      .query({
        userId: cData.enterPhone,
        token: cData.token
      })
      .expect(res => {
        assert.equal(res.body.code, 0)
      })
      .end(done)
  })

  it('test /user/preview', function (done) {
    request(app)
      .get('/user/preview')
      .query({
        id: cData.previewId,
        userId: cData.dwUsername
      })
      .expect(res => {
        assert.equal(res.body.code, 0)
      })
      .end(done)
  })
})
